import { HorizontalAnchoredCategorySeries } from "./HorizontalAnchoredCategorySeries";
import { CategoryLineRasterizer } from "./CategoryLineRasterizer";
import { SeriesView } from "./SeriesView";
import { Type, IList$1 } from "igniteui-react-core";
import { CategoryMode } from "./CategoryMode";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { SeriesHitTestMode } from "./SeriesHitTestMode";
import { CategoryFrame } from "./CategoryFrame";
import { List$1 } from "igniteui-react-core";
import { CategorySeriesView } from "./CategorySeriesView";
import { Path } from "igniteui-react-core";
import { UnknownValuePlotting } from "igniteui-react-core";
import { AnchoredCategorySeriesView } from "./AnchoredCategorySeriesView";
import { Clipper } from "igniteui-react-core";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class StepLineSeries extends HorizontalAnchoredCategorySeries {
    static $t: Type;
    protected bp(): SeriesView;
    kk(a: SeriesView): void;
    s7: StepLineSeriesView;
    constructor();
    s6: CategoryLineRasterizer;
    ac(): void;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    protected get_cy(): boolean;
    jl(a: boolean, b: SeriesView): void;
    protected bj(): SeriesHitTestMode;
    e8(a: number, b: IList$1<number>, c: number, d: number, e: number, f: number, g: number, h: boolean): number;
    private s8;
    rc(a: CategoryFrame, b: CategorySeriesView): void;
    readonly useHighMarkerFidelity: boolean;
}
/**
 * @hidden
 */
export declare class StepLineSeriesView extends AnchoredCategorySeriesView {
    static $t: Type;
    protected da: StepLineSeries;
    constructor(a: StepLineSeries);
    private dk;
    private dj;
    private dl;
    readonly dh: Path;
    readonly di: Path;
    readonly dg: Path;
    db(): void;
    dc(a: number, b: List$1<number[]>, c: boolean, d: UnknownValuePlotting, e: Clipper, f: number, g: number): void;
    private df;
    private de;
    private dd;
    protected bc(): void;
    protected a6(a: RenderingContext, b: boolean): void;
    al(a: any): void;
    protected af(): void;
}
